List all onboardings for a business

get/businesses/{fp_bid}/onboardings
External ID
Lists the playbooks this business has onboarded onto, newest first. A business that has onboarded onto one playbook several times has several onboardings. Use it to find the status of an onboarding onto a specific playbook.

Request

Path parameters

fp_bid·

string

Query parameters

page·

optional integer

Zero-based page number. Omit or use 0 for the first page; use 1 for the second page.
page_size·

optional integer

Number of results per page. Values above 100 are capped at 100. Omit to use the server's configured default. Keep this fixed when requesting subsequent pages.

Response

data·

array of objects

external_id·

optional string

The onboarding_external_id provided when the onboarding session token was created
id·

string

A unique identitifer for the onboarding
playbook_key·

string

status·

string

The status of the onboarding

Allowed values:

pass
fail
incomplete
pending
none
error
timestamp·

string

The timestamp of onboarding creation
meta·

object

GET /businesses/{fp_bid}/onboardings
1curl https://api.onefootprint.com/businesses/{fp_bid}/onboardings \
2  -u sk_test_xxxxx:
Response example
{
  "data": [
    {
      "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
      "id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
      "playbook_key": "pb_test_xxxxx",
      "status": "pass",
      "timestamp": "2022-01-04T12:00-07:00"
    },
    {
      "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
      "id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
      "playbook_key": "pb_test_xxxxx",
      "status": "pass",
      "timestamp": "2022-01-04T12:00-07:00"
    }
  ],
  "meta": {
    "next_page": 2
  }
}